Page MenuHomePhabricator

engine: unwrap a hard to understand for loop
ClosedPublic

Authored by pulkit on Dec 14 2020, 4:55 AM.

Details

Summary

The loop was iterating over all the datafiles and maintaining a set to check
whether filelogs have been processed, manifests have been processed or not.

The code was hard to understand and it assumed that alldatafiles are ordered
in a certain way.

This refactors the for loop in separate parts for each manifests, changelog and
filelogs. This will also help in future work where we will like more better
handling on whether we want to upgrade filelogs or not.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

pulkit created this revision.Dec 14 2020, 4:55 AM
marmoute accepted this revision.Dec 22 2020, 3:39 AM
marmoute added a subscriber: marmoute.

looks like a good change.

pulkit updated this revision to Diff 24540.Dec 30 2020, 5:31 AM
mharbison72 accepted this revision.Jan 5 2021, 10:34 AM
This revision is now accepted and ready to land.Jan 5 2021, 10:34 AM
This revision was automatically updated to reflect the committed changes.